Subject: Re: [PATCH] ppc32: remove secondary_ti

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 17 Nov 2008 07:26:01 +1100

On Sun, 2008-11-16 at 15:43 -0600, Milton Miller wrote:
> Instead of copying current_set[cpu] to secondary_ti, directly index into
> current_set by the cpu number like head_64.S.  In addition to removing
> the variable, a slow to respond cpu will not clobber another cpus
> stack.

Except that we don't know our CPU number at this stage do we ? IE. r24
is our HW number, is it guaranteed to be what we want to index
current_set ?

Ben.